<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ReprintRequest' => '\\StructType\\ReprintRequest',
            'ReprintRequestResponse' => '\\StructType\\ReprintRequestResponse',
            'AdviceRequest' => '\\StructType\\AdviceRequest',
            'AdviceRequestResponse' => '\\StructType\\AdviceRequestResponse',
            'TrialCreditVendRequest' => '\\StructType\\TrialCreditVendRequest',
            'TrialCreditVendRequestResponse' => '\\StructType\\TrialCreditVendRequestResponse',
            'CreditVendRequest' => '\\StructType\\CreditVendRequest',
            'CreditVendRequestResponse' => '\\StructType\\CreditVendRequestResponse',
            'ConfirmCustomerRequest' => '\\StructType\\ConfirmCustomerRequest',
            'ConfirmCustomerRequestResponse' => '\\StructType\\ConfirmCustomerRequestResponse',
            'ReprintReq' => '\\StructType\\ReprintReq',
            'AbstractCreditVendReq' => '\\StructType\\AbstractCreditVendReq',
            'PurchaseValue' => '\\StructType\\PurchaseValue',
            'PurchaseValueUnits' => '\\StructType\\PurchaseValueUnits',
            'PurchaseValueCurrency' => '\\StructType\\PurchaseValueCurrency',
            'TrialCreditVendReq' => '\\StructType\\TrialCreditVendReq',
            'CreditVendReq' => '\\StructType\\CreditVendReq',
            'TrialImpulseVendReq' => '\\StructType\\TrialImpulseVendReq',
            'ImpulseVendReq' => '\\StructType\\ImpulseVendReq',
            'CmftReq' => '\\StructType\\CmftReq',
            'FBEReq' => '\\StructType\\FBEReq',
            'CancelVendReq' => '\\StructType\\CancelVendReq',
            'CancelPendingReq' => '\\StructType\\CancelPendingReq',
            'FreeIssueReq' => '\\StructType\\FreeIssueReq',
            'MeterCreditTransferReq' => '\\StructType\\MeterCreditTransferReq',
            'CreditTransferDetail' => '\\StructType\\CreditTransferDetail',
            'ReprintDepositReq' => '\\StructType\\ReprintDepositReq',
            'ConfirmCustomerReq' => '\\StructType\\ConfirmCustomerReq',
            'PayAccReq' => '\\StructType\\PayAccReq',
            'PayAccount' => '\\StructType\\PayAccount',
            'ServiceChrg' => '\\StructType\\ServiceChrg',
            'DebtRecovery' => '\\StructType\\DebtRecovery',
            'VerifyReq' => '\\StructType\\VerifyReq',
            'EndBatchReq' => '\\StructType\\EndBatchReq',
            'EndSalesBatchReq' => '\\StructType\\EndSalesBatchReq',
            'EndBankBatchReq' => '\\StructType\\EndBankBatchReq',
            'EndShiftBatchReq' => '\\StructType\\EndShiftBatchReq',
            'EndAllBatchesReq' => '\\StructType\\EndAllBatchesReq',
            'ReprintEndBatchReq' => '\\StructType\\ReprintEndBatchReq',
            'ReprintEndBankingBatchReq' => '\\StructType\\ReprintEndBankingBatchReq',
            'ReprintEndSalesBatchReq' => '\\StructType\\ReprintEndSalesBatchReq',
            'ReprintEndShiftBatchReq' => '\\StructType\\ReprintEndShiftBatchReq',
            'VendorStatementReq' => '\\StructType\\VendorStatementReq',
            'DepositReq' => '\\StructType\\DepositReq',
            'StartBatchReq' => '\\StructType\\StartBatchReq',
            'StartBankBatchReq' => '\\StructType\\StartBankBatchReq',
            'StartAllBatchesReq' => '\\StructType\\StartAllBatchesReq',
            'StartShiftBatchReq' => '\\StructType\\StartShiftBatchReq',
            'StartSalesBatchReq' => '\\StructType\\StartSalesBatchReq',
            'TotalBatchReq' => '\\StructType\\TotalBatchReq',
            'TotalAllBatchesReq' => '\\StructType\\TotalAllBatchesReq',
            'TotalSalesBatchReq' => '\\StructType\\TotalSalesBatchReq',
            'TotalShiftBatchReq' => '\\StructType\\TotalShiftBatchReq',
            'TotalBankBatchReq' => '\\StructType\\TotalBankBatchReq',
            'CancelPayAccountReq' => '\\StructType\\CancelPayAccountReq',
            'ReprintResp' => '\\StructType\\ReprintResp',
            'VendorStatementResp' => '\\StructType\\VendorStatementResp',
            'VendorStatement' => '\\StructType\\VendorStatement',
            'VendorStatementLineItem' => '\\StructType\\VendorStatementLineItem',
            'ConfirmCustomerResp' => '\\StructType\\ConfirmCustomerResp',
            'ConfirmCustResult' => '\\StructType\\ConfirmCustResult',
            'CustVendConfig' => '\\StructType\\CustVendConfig',
            'PayAccReceipt' => '\\StructType\\PayAccReceipt',
            'Receipt' => '\\StructType\\Receipt',
            'Transactions' => '\\StructType\\Transactions',
            'Tx' => '\\StructType\\Tx',
            'CreditVendTx' => '\\StructType\\CreditVendTx',
            'PayAccTx' => '\\StructType\\PayAccTx',
            'DebtRecoveryTx' => '\\StructType\\DebtRecoveryTx',
            'ServiceChrgTx' => '\\StructType\\ServiceChrgTx',
            'CreditVendReceipt' => '\\StructType\\CreditVendReceipt',
            'CreditVendResp' => '\\StructType\\CreditVendResp',
            'TrialCreditVendResp' => '\\StructType\\TrialCreditVendResp',
            'TrialImpulseVendResp' => '\\StructType\\TrialImpulseVendResp',
            'ImpulseVendResp' => '\\StructType\\ImpulseVendResp',
            'FBEResp' => '\\StructType\\FBEResp',
            'FreeIssueResp' => '\\StructType\\FreeIssueResp',
            'PayAccResp' => '\\StructType\\PayAccResp',
            'MeterCreditTransferResp' => '\\StructType\\MeterCreditTransferResp',
            'VerifyResp' => '\\StructType\\VerifyResp',
            'CancelVendResp' => '\\StructType\\CancelVendResp',
            'CancelPendingResp' => '\\StructType\\CancelPendingResp',
            'StartBatchResp' => '\\StructType\\StartBatchResp',
            'StartBatch' => '\\StructType\\StartBatch',
            'ShiftStartBatch' => '\\StructType\\ShiftStartBatch',
            'SalesStartBatch' => '\\StructType\\SalesStartBatch',
            'BankStartBatch' => '\\StructType\\BankStartBatch',
            'TotalBatchResp' => '\\StructType\\TotalBatchResp',
            'Batch' => '\\StructType\\Batch',
            'BatchReport' => '\\StructType\\BatchReport',
            'TxTotal' => '\\StructType\\TxTotal',
            'FreeIssueTotal' => '\\StructType\\FreeIssueTotal',
            'MeterCreditTransferTotal' => '\\StructType\\MeterCreditTransferTotal',
            'AccPaymentTotal' => '\\StructType\\AccPaymentTotal',
            'DebtRecoveryTotal' => '\\StructType\\DebtRecoveryTotal',
            'ServiceChrgTotal' => '\\StructType\\ServiceChrgTotal',
            'CancellationTotal' => '\\StructType\\CancellationTotal',
            'NormalSaleTotal' => '\\StructType\\NormalSaleTotal',
            'OperatorTotal' => '\\StructType\\OperatorTotal',
            'PayTypeTotal' => '\\StructType\\PayTypeTotal',
            'OtherTotal' => '\\StructType\\OtherTotal',
            'CashTotal' => '\\StructType\\CashTotal',
            'CreditCardTotal' => '\\StructType\\CreditCardTotal',
            'DebitCardTotal' => '\\StructType\\DebitCardTotal',
            'ChequeTotal' => '\\StructType\\ChequeTotal',
            'ResourceTotal' => '\\StructType\\ResourceTotal',
            'CurrencyTotal' => '\\StructType\\CurrencyTotal',
            'ConnectionTimeTotal' => '\\StructType\\ConnectionTimeTotal',
            'GasTotal' => '\\StructType\\GasTotal',
            'WaterTotal' => '\\StructType\\WaterTotal',
            'ElectricityTotal' => '\\StructType\\ElectricityTotal',
            'ShiftBatch' => '\\StructType\\ShiftBatch',
            'SalesBatch' => '\\StructType\\SalesBatch',
            'BankBatch' => '\\StructType\\BankBatch',
            'DepositSlip' => '\\StructType\\DepositSlip',
            'Beneficiary' => '\\StructType\\Beneficiary',
            'EndBatchResp' => '\\StructType\\EndBatchResp',
            'ReprintEndBatchResp' => '\\StructType\\ReprintEndBatchResp',
            'DepositResp' => '\\StructType\\DepositResp',
            'ReprintDepositResp' => '\\StructType\\ReprintDepositResp',
            'BaseReq' => '\\StructType\\BaseReq',
            'DeviceID' => '\\StructType\\DeviceID',
            'EANDeviceID' => '\\StructType\\EANDeviceID',
            'GenericDeviceID' => '\\StructType\\GenericDeviceID',
            'MsgID' => '\\StructType\\MsgID',
            'AuthCred' => '\\StructType\\AuthCred',
            'BaseVendReq' => '\\StructType\\BaseVendReq',
            'Resource' => '\\StructType\\Resource',
            'Gas' => '\\StructType\\Gas',
            'ConnectionTime' => '\\StructType\\ConnectionTime',
            'Electricity' => '\\StructType\\Electricity',
            'CurrencyResource' => '\\StructType\\CurrencyResource',
            'Water' => '\\StructType\\Water',
            'VendIDMethod' => '\\StructType\\VendIDMethod',
            'IDMethod' => '\\StructType\\IDMethod',
            'CustIDMethod' => '\\StructType\\CustIDMethod',
            'CustIdentifier' => '\\StructType\\CustIdentifier',
            'CustAccountNo' => '\\StructType\\CustAccountNo',
            'CustName' => '\\StructType\\CustName',
            'CustIDNumber' => '\\StructType\\CustIDNumber',
            'CustAddress' => '\\StructType\\CustAddress',
            'MeterIdentifier' => '\\StructType\\MeterIdentifier',
            'MeterConfig' => '\\StructType\\MeterConfig',
            'MeterDetail' => '\\StructType\\MeterDetail',
            'MeterType' => '\\StructType\\MeterType',
            'ExtMeterDetail' => '\\StructType\\ExtMeterDetail',
            'MeterCard' => '\\StructType\\MeterCard',
            'MeterAccount' => '\\StructType\\MeterAccount',
            'MeterNumber' => '\\StructType\\MeterNumber',
            'Units' => '\\StructType\\Units',
            'Currency' => '\\StructType\\Currency',
            'PayType' => '\\StructType\\PayType',
            'Cheque' => '\\StructType\\Cheque',
            'Cash' => '\\StructType\\Cash',
            'Unknown' => '\\StructType\\Unknown',
            'PinVoucher' => '\\StructType\\PinVoucher',
            'Card' => '\\StructType\\Card',
            'CreditCard' => '\\StructType\\CreditCard',
            'DebitCard' => '\\StructType\\DebitCard',
            'STS1Token' => '\\StructType\\STS1Token',
            'Token' => '\\StructType\\Token',
            'KCToken' => '\\StructType\\KCToken',
            'CMFTToken' => '\\StructType\\CMFTToken',
            'PwrLmt' => '\\StructType\\PwrLmt',
            'KCTData' => '\\StructType\\KCTData',
            'MakeMerchantDepositReq' => '\\StructType\\MakeMerchantDepositReq',
            'GetVendingServerStateReq' => '\\StructType\\GetVendingServerStateReq',
            'AdviceReq' => '\\StructType\\AdviceReq',
            'LastRespAdviceReq' => '\\StructType\\LastRespAdviceReq',
            'ConfirmationAdviceReq' => '\\StructType\\ConfirmationAdviceReq',
            'ReversalAdviceReq' => '\\StructType\\ReversalAdviceReq',
            'ReverseMerchantDepositReq' => '\\StructType\\ReverseMerchantDepositReq',
            'CustDetail' => '\\StructType\\CustDetail',
            'CustVendDetail' => '\\StructType\\CustVendDetail',
            'BaseResp' => '\\StructType\\BaseResp',
            'UtilityDetail' => '\\StructType\\UtilityDetail',
            'XMLVendFaultResp' => '\\StructType\\XMLVendFaultResp',
            'Fault' => '\\StructType\\Fault',
            'XMLVendFaultEx' => '\\StructType\\XMLVendFaultEx',
            'ConfirmationEx' => '\\StructType\\ConfirmationEx',
            'ReversalEx' => '\\StructType\\ReversalEx',
            'UseCaseSupportEx' => '\\StructType\\UseCaseSupportEx',
            'ClientIDSSLEx' => '\\StructType\\ClientIDSSLEx',
            'XMLVendSchemaEx' => '\\StructType\\XMLVendSchemaEx',
            'LastResponseEx' => '\\StructType\\LastResponseEx',
            'SystemEx' => '\\StructType\\SystemEx',
            'BusinessRuleEx' => '\\StructType\\BusinessRuleEx',
            'FBEEx' => '\\StructType\\FBEEx',
            'LatestKRNEx' => '\\StructType\\LatestKRNEx',
            'SGCAuthorisationEx' => '\\StructType\\SGCAuthorisationEx',
            'ReprintEx' => '\\StructType\\ReprintEx',
            'MSNOCheckDigitEx' => '\\StructType\\MSNOCheckDigitEx',
            'UpdateMtrKeySameEx' => '\\StructType\\UpdateMtrKeySameEx',
            'ClientIDAuthorisationEx' => '\\StructType\\ClientIDAuthorisationEx',
            'ConfirmCustomerEx' => '\\StructType\\ConfirmCustomerEx',
            'CancelEx' => '\\StructType\\CancelEx',
            'CheckBatchTotalEx' => '\\StructType\\CheckBatchTotalEx',
            'DebtEx' => '\\StructType\\DebtEx',
            'EndBatchEx' => '\\StructType\\EndBatchEx',
            'InsufficientMeterDataEx' => '\\StructType\\InsufficientMeterDataEx',
            'ReprintDepositSlipEx' => '\\StructType\\ReprintDepositSlipEx',
            'ReprintEndBatchEx' => '\\StructType\\ReprintEndBatchEx',
            'BlockedMeterEx' => '\\StructType\\BlockedMeterEx',
            'RequireMeterCardEx' => '\\StructType\\RequireMeterCardEx',
            'StartBatchEx' => '\\StructType\\StartBatchEx',
            'ServiceChrgEx' => '\\StructType\\ServiceChrgEx',
            'UnknownMeterEx' => '\\StructType\\UnknownMeterEx',
            'UnknownMeterUpdateMtrKeyEx' => '\\StructType\\UnknownMeterUpdateMtrKeyEx',
            'STSDataEx' => '\\StructType\\STSDataEx',
            'VerifyTokenEx' => '\\StructType\\VerifyTokenEx',
            'VendorCreditEx' => '\\StructType\\VendorCreditEx',
            'RequestAuthorisationEx' => '\\StructType\\RequestAuthorisationEx',
            'ReverseMerchantDepositResp' => '\\StructType\\ReverseMerchantDepositResp',
            'AdviceResp' => '\\StructType\\AdviceResp',
            'ReversalAdviceResp' => '\\StructType\\ReversalAdviceResp',
            'ConfirmationAdviceResp' => '\\StructType\\ConfirmationAdviceResp',
            'LastRespAdviceResp' => '\\StructType\\LastRespAdviceResp',
            'MakeMerchantDepositResp' => '\\StructType\\MakeMerchantDepositResp',
            'GetVendingServerStateResp' => '\\StructType\\GetVendingServerStateResp',
            'ServerState' => '\\StructType\\ServerState',
            'UnknownServerState' => '\\StructType\\UnknownServerState',
            'PingServerState' => '\\StructType\\PingServerState',
            'PingAndActivityServerState' => '\\StructType\\PingAndActivityServerState',
            'SilentServerState' => '\\StructType\\SilentServerState',
            'CustAccountDetail' => '\\StructType\\CustAccountDetail',
            'ArrayOfAccountStatus' => '\\ArrayType\\ArrayOfAccountStatus',
            'AccountStatus' => '\\StructType\\AccountStatus',
            'BaseVendResp' => '\\StructType\\BaseVendResp',
            'ClientStatus' => '\\StructType\\ClientStatus',
            'BatchStatus' => '\\StructType\\BatchStatus',
            'VendorDetail' => '\\StructType\\VendorDetail',
            'CancelPayAccountResp' => '\\StructType\\CancelPayAccountResp',
            'Tax' => '\\StructType\\Tax',
            'VAT' => '\\StructType\\VAT',
            'CreditTokenIssue' => '\\StructType\\CreditTokenIssue',
            'MeterSpecificTokenIssue' => '\\StructType\\MeterSpecificTokenIssue',
            'MeterSpecificEngTokenIssue' => '\\StructType\\MeterSpecificEngTokenIssue',
            'PhUnbalTokenIssue' => '\\StructType\\PhUnbalTokenIssue',
            'PwrLmtTokenIssue' => '\\StructType\\PwrLmtTokenIssue',
            'KCTokenIssue' => '\\StructType\\KCTokenIssue',
            'WaterFactorTokenIssue' => '\\StructType\\WaterFactorTokenIssue',
            'ClearTamperTokenIssue' => '\\StructType\\ClearTamperTokenIssue',
            'CmftTokenIssue' => '\\StructType\\CmftTokenIssue',
            'ClearCreditTokenIssue' => '\\StructType\\ClearCreditTokenIssue',
            'SaleCredTokenIssue' => '\\StructType\\SaleCredTokenIssue',
            'FreeCredTokenIssue' => '\\StructType\\FreeCredTokenIssue',
            'MCTCredTokenIssue' => '\\StructType\\MCTCredTokenIssue',
            'FBECredTokenIssue' => '\\StructType\\FBECredTokenIssue',
            'Tariff' => '\\StructType\\Tariff',
            'TokenInfo' => '\\StructType\\TokenInfo',
            'STS1TokenInfo' => '\\StructType\\STS1TokenInfo',
            'TokenSubClassType' => '\\StructType\\TokenSubClassType',
            'TokenDeliveryMethod' => '\\StructType\\TokenDeliveryMethod',
            'AMRTokenDeliveryMethod' => '\\StructType\\AMRTokenDeliveryMethod',
            'TariffBreakdown' => '\\StructType\\TariffBreakdown',
            'StepTariffBreakdown' => '\\StructType\\StepTariffBreakdown',
            'ArrayOfStep' => '\\ArrayType\\ArrayOfStep',
            'Step' => '\\StructType\\Step',
            'StraightTariffBreakdown' => '\\StructType\\StraightTariffBreakdown',
            'MeterSpecificEngReq' => '\\StructType\\MeterSpecificEngReq',
            'SetWaterFactorReq' => '\\StructType\\SetWaterFactorReq',
            'PhUnbalReq' => '\\StructType\\PhUnbalReq',
            'DefCreditReq' => '\\StructType\\DefCreditReq',
            'ClearCreditReq' => '\\StructType\\ClearCreditReq',
            'EngKCTReq' => '\\StructType\\EngKCTReq',
            'ClearTamperReq' => '\\StructType\\ClearTamperReq',
            'PwrLmtReq' => '\\StructType\\PwrLmtReq',
            'ConfirmMeterReq' => '\\StructType\\ConfirmMeterReq',
            'CustReportFaultReq' => '\\StructType\\CustReportFaultReq',
            'CustFaultReport' => '\\StructType\\CustFaultReport',
            'NetworkFaultReport' => '\\StructType\\NetworkFaultReport',
            'MeterFaultReport' => '\\StructType\\MeterFaultReport',
            'UpdateMeterKeyReq' => '\\StructType\\UpdateMeterKeyReq',
            'NonMeterSpecificEngReq' => '\\StructType\\NonMeterSpecificEngReq',
            'TestDispenserReq' => '\\StructType\\TestDispenserReq',
            'DispTamperReq' => '\\StructType\\DispTamperReq',
            'DispKRNReq' => '\\StructType\\DispKRNReq',
            'DispInstPwrReq' => '\\StructType\\DispInstPwrReq',
            'DispConsTotReq' => '\\StructType\\DispConsTotReq',
            'DispPhUnbalanceReq' => '\\StructType\\DispPhUnbalanceReq',
            'TestBreakerReq' => '\\StructType\\TestBreakerReq',
            'TestDisplayReq' => '\\StructType\\TestDisplayReq',
            'DispVerReq' => '\\StructType\\DispVerReq',
            'MenuAccessReq' => '\\StructType\\MenuAccessReq',
            'DispRegistersReq' => '\\StructType\\DispRegistersReq',
            'DispPwrLmtReq' => '\\StructType\\DispPwrLmtReq',
            'DispTIReq' => '\\StructType\\DispTIReq',
            'TestAllReq' => '\\StructType\\TestAllReq',
            'CmftResp' => '\\StructType\\CmftResp',
            'UpdateMeterKeyResp' => '\\StructType\\UpdateMeterKeyResp',
            'MeterSpecificEngResp' => '\\StructType\\MeterSpecificEngResp',
            'SetWaterFactorResp' => '\\StructType\\SetWaterFactorResp',
            'PwrLmtResp' => '\\StructType\\PwrLmtResp',
            'PhUnbalResp' => '\\StructType\\PhUnbalResp',
            'ClearCreditResp' => '\\StructType\\ClearCreditResp',
            'ClearTamperResp' => '\\StructType\\ClearTamperResp',
            'EngKCTResp' => '\\StructType\\EngKCTResp',
            'DefCreditResp' => '\\StructType\\DefCreditResp',
            'ConfirmMeterResp' => '\\StructType\\ConfirmMeterResp',
            'ConfirmMeterResult' => '\\StructType\\ConfirmMeterResult',
            'CustReportFaultResp' => '\\StructType\\CustReportFaultResp',
            'CustFaultLog' => '\\StructType\\CustFaultLog',
            'NonMeterSpecificEngResp' => '\\StructType\\NonMeterSpecificEngResp',
            'TestAllResp' => '\\StructType\\TestAllResp',
            'TestAllTokenIssue' => '\\StructType\\TestAllTokenIssue',
            'NonMeterSpecificEngTokenIssue' => '\\StructType\\NonMeterSpecificEngTokenIssue',
            'NonMeterSpecificTokenIssue' => '\\StructType\\NonMeterSpecificTokenIssue',
            'DispConsTotTokenIssue' => '\\StructType\\DispConsTotTokenIssue',
            'DispTITokenIssue' => '\\StructType\\DispTITokenIssue',
            'DispKRNTokenIssue' => '\\StructType\\DispKRNTokenIssue',
            'DispPwrLmtTokenIssue' => '\\StructType\\DispPwrLmtTokenIssue',
            'TestBreakerTokenIssue' => '\\StructType\\TestBreakerTokenIssue',
            'DispTamperTokenIssue' => '\\StructType\\DispTamperTokenIssue',
            'DispRegistersTokenIssue' => '\\StructType\\DispRegistersTokenIssue',
            'DispPhUnbalanceTokenIssue' => '\\StructType\\DispPhUnbalanceTokenIssue',
            'DispVerTokenIssue' => '\\StructType\\DispVerTokenIssue',
            'TestDispenserTokenIssue' => '\\StructType\\TestDispenserTokenIssue',
            'DispInstPwrTokenIssue' => '\\StructType\\DispInstPwrTokenIssue',
            'MenuAccessTokenIssue' => '\\StructType\\MenuAccessTokenIssue',
            'TestDisplayTokenIssue' => '\\StructType\\TestDisplayTokenIssue',
            'MenuAccessResp' => '\\StructType\\MenuAccessResp',
            'DispVerResp' => '\\StructType\\DispVerResp',
            'DispRegistersResp' => '\\StructType\\DispRegistersResp',
            'TestBreakerResp' => '\\StructType\\TestBreakerResp',
            'DispTIResp' => '\\StructType\\DispTIResp',
            'DispKRNResp' => '\\StructType\\DispKRNResp',
            'DispTamperResp' => '\\StructType\\DispTamperResp',
            'DispInstPwrResp' => '\\StructType\\DispInstPwrResp',
            'DispPhUnbalanceResp' => '\\StructType\\DispPhUnbalanceResp',
            'TestDispenserResp' => '\\StructType\\TestDispenserResp',
            'TestDisplayResp' => '\\StructType\\TestDisplayResp',
            'DispPwrLmtResp' => '\\StructType\\DispPwrLmtResp',
            'DispConsTotResp' => '\\StructType\\DispConsTotResp',
            'Connection' => '\\StructType\\Connection',
            'Upgrade' => '\\StructType\\Upgrade',
            'Tamper' => '\\StructType\\Tamper',
            'Conversion' => '\\StructType\\Conversion',
            'CredLmtChg' => '\\StructType\\CredLmtChg',
            'CredUpdate' => '\\StructType\\CredUpdate',
            'ManualAdjCreditUpdate' => '\\StructType\\ManualAdjCreditUpdate',
            'DepositCreditUpdate' => '\\StructType\\DepositCreditUpdate',
            'ConnectionTx' => '\\StructType\\ConnectionTx',
            'ConversionTx' => '\\StructType\\ConversionTx',
            'TamperTx' => '\\StructType\\TamperTx',
            'UpgradeTx' => '\\StructType\\UpgradeTx',
            'DeviceFault' => '\\StructType\\DeviceFault',
            'TokensNotWorking' => '\\StructType\\TokensNotWorking',
            'NoTrip' => '\\StructType\\NoTrip',
            'SeriousBoxDamage' => '\\StructType\\SeriousBoxDamage',
            'FireWaterDamage' => '\\StructType\\FireWaterDamage',
            'DisplayLightsButtons' => '\\StructType\\DisplayLightsButtons',
            'KeepsTripping' => '\\StructType\\KeepsTripping',
            'MeterDead' => '\\StructType\\MeterDead',
            'DataFault' => '\\StructType\\DataFault',
            'IncorrectTI' => '\\StructType\\IncorrectTI',
            'IncorrectSGC' => '\\StructType\\IncorrectSGC',
            'RecordMissing' => '\\StructType\\RecordMissing',
            'RecordMissingReason' => '\\StructType\\RecordMissingReason',
            'NewInstallation' => '\\StructType\\NewInstallation',
            'ConvertedFrmConventional' => '\\StructType\\ConvertedFrmConventional',
            'MeterChangedOut' => '\\StructType\\MeterChangedOut',
            'ExpiredMessageEx' => '\\StructType\\ExpiredMessageEx',
            'ServeryBusyEx' => '\\StructType\\ServeryBusyEx',
            'UnknownMeterFBEEx' => '\\StructType\\UnknownMeterFBEEx',
            'DuplicateMsgIDEx' => '\\StructType\\DuplicateMsgIDEx',
            'GracePurchaseEx' => '\\StructType\\GracePurchaseEx',
            'MeterDataMisMatchEx' => '\\StructType\\MeterDataMisMatchEx',
            'IndeterminantLastResponseEx' => '\\StructType\\IndeterminantLastResponseEx',
            'AccNumMeterLinkEx' => '\\StructType\\AccNumMeterLinkEx',
            'AccNumEx' => '\\StructType\\AccNumEx',
            'EngParameterEx' => '\\StructType\\EngParameterEx',
            'AccTypeEx' => '\\StructType\\AccTypeEx',
            'OtherDataEx' => '\\StructType\\OtherDataEx',
            'OverRecCredTokenIssue' => '\\StructType\\OverRecCredTokenIssue',
        );
    }
}
