<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AbstractCreditVendReq StructType
 * @subpackage Structs
 */
abstract class AbstractCreditVendReq extends BaseVendReq
{
    /**
     * The purchaseValue
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PurchaseValue
     */
    public $purchaseValue;
    /**
     * The payType
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PayType
     */
    public $payType;
    /**
     * Constructor method for AbstractCreditVendReq
     * @uses AbstractCreditVendReq::setPurchaseValue()
     * @uses AbstractCreditVendReq::setPayType()
     * @param \StructType\PurchaseValue $purchaseValue
     * @param \StructType\PayType $payType
     */
    public function __construct(\StructType\PurchaseValue $purchaseValue = null, \StructType\PayType $payType = null)
    {
        $this
            ->setPurchaseValue($purchaseValue)
            ->setPayType($payType);
    }
    /**
     * Get purchaseValue value
     * @return \StructType\PurchaseValue|null
     */
    public function getPurchaseValue()
    {
        return $this->purchaseValue;
    }
    /**
     * Set purchaseValue value
     * @param \StructType\PurchaseValue $purchaseValue
     * @return \StructType\AbstractCreditVendReq
     */
    public function setPurchaseValue(\StructType\PurchaseValue $purchaseValue = null)
    {
        $this->purchaseValue = $purchaseValue;
        return $this;
    }
    /**
     * Get payType value
     * @return \StructType\PayType|null
     */
    public function getPayType()
    {
        return $this->payType;
    }
    /**
     * Set payType value
     * @param \StructType\PayType $payType
     * @return \StructType\AbstractCreditVendReq
     */
    public function setPayType(\StructType\PayType $payType = null)
    {
        $this->payType = $payType;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AbstractCreditVendReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
