<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BaseVendResp StructType
 * @subpackage Structs
 */
class BaseVendResp extends BaseResp
{
    /**
     * The clientStatus
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ClientStatus
     */
    public $clientStatus;
    /**
     * The vendor
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VendorDetail
     */
    public $vendor;
    /**
     * The custVendDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CustVendDetail
     */
    public $custVendDetail;
    /**
     * Constructor method for BaseVendResp
     * @uses BaseVendResp::setClientStatus()
     * @uses BaseVendResp::setVendor()
     * @uses BaseVendResp::setCustVendDetail()
     * @param \StructType\ClientStatus $clientStatus
     * @param \StructType\VendorDetail $vendor
     * @param \StructType\CustVendDetail $custVendDetail
     */
    public function __construct(\StructType\ClientStatus $clientStatus = null, \StructType\VendorDetail $vendor = null, \StructType\CustVendDetail $custVendDetail = null)
    {
        $this
            ->setClientStatus($clientStatus)
            ->setVendor($vendor)
            ->setCustVendDetail($custVendDetail);
    }
    /**
     * Get clientStatus value
     * @return \StructType\ClientStatus|null
     */
    public function getClientStatus()
    {
        return $this->clientStatus;
    }
    /**
     * Set clientStatus value
     * @param \StructType\ClientStatus $clientStatus
     * @return \StructType\BaseVendResp
     */
    public function setClientStatus(\StructType\ClientStatus $clientStatus = null)
    {
        $this->clientStatus = $clientStatus;
        return $this;
    }
    /**
     * Get vendor value
     * @return \StructType\VendorDetail|null
     */
    public function getVendor()
    {
        return $this->vendor;
    }
    /**
     * Set vendor value
     * @param \StructType\VendorDetail $vendor
     * @return \StructType\BaseVendResp
     */
    public function setVendor(\StructType\VendorDetail $vendor = null)
    {
        $this->vendor = $vendor;
        return $this;
    }
    /**
     * Get custVendDetail value
     * @return \StructType\CustVendDetail|null
     */
    public function getCustVendDetail()
    {
        return $this->custVendDetail;
    }
    /**
     * Set custVendDetail value
     * @param \StructType\CustVendDetail $custVendDetail
     * @return \StructType\BaseVendResp
     */
    public function setCustVendDetail(\StructType\CustVendDetail $custVendDetail = null)
    {
        $this->custVendDetail = $custVendDetail;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\BaseVendResp
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
