<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CancelVendResp StructType
 * @subpackage Structs
 */
class CancelVendResp extends BaseVendResp
{
    /**
     * The origTx
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CreditVendTx
     */
    public $origTx;
    /**
     * The cancelRefNo
     * @var string
     */
    public $cancelRefNo;
    /**
     * Constructor method for CancelVendResp
     * @uses CancelVendResp::setOrigTx()
     * @uses CancelVendResp::setCancelRefNo()
     * @param \StructType\CreditVendTx $origTx
     * @param string $cancelRefNo
     */
    public function __construct(\StructType\CreditVendTx $origTx = null, $cancelRefNo = null)
    {
        $this
            ->setOrigTx($origTx)
            ->setCancelRefNo($cancelRefNo);
    }
    /**
     * Get origTx value
     * @return \StructType\CreditVendTx|null
     */
    public function getOrigTx()
    {
        return $this->origTx;
    }
    /**
     * Set origTx value
     * @param \StructType\CreditVendTx $origTx
     * @return \StructType\CancelVendResp
     */
    public function setOrigTx(\StructType\CreditVendTx $origTx = null)
    {
        $this->origTx = $origTx;
        return $this;
    }
    /**
     * Get cancelRefNo value
     * @return string|null
     */
    public function getCancelRefNo()
    {
        return $this->cancelRefNo;
    }
    /**
     * Set cancelRefNo value
     * @param string $cancelRefNo
     * @return \StructType\CancelVendResp
     */
    public function setCancelRefNo($cancelRefNo = null)
    {
        // validation for constraint: string
        if (!is_null($cancelRefNo) && !is_string($cancelRefNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cancelRefNo)), __LINE__);
        }
        $this->cancelRefNo = $cancelRefNo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CancelVendResp
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
