<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ClientStatus StructType
 * @subpackage Structs
 */
class ClientStatus extends AbstractStructBase
{
    /**
     * The availCredit
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Currency
     */
    public $availCredit;
    /**
     * The batchStatus
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\BatchStatus
     */
    public $batchStatus;
    /**
     * Constructor method for ClientStatus
     * @uses ClientStatus::setAvailCredit()
     * @uses ClientStatus::setBatchStatus()
     * @param \StructType\Currency $availCredit
     * @param \StructType\BatchStatus $batchStatus
     */
    public function __construct(\StructType\Currency $availCredit = null, \StructType\BatchStatus $batchStatus = null)
    {
        $this
            ->setAvailCredit($availCredit)
            ->setBatchStatus($batchStatus);
    }
    /**
     * Get availCredit value
     * @return \StructType\Currency|null
     */
    public function getAvailCredit()
    {
        return $this->availCredit;
    }
    /**
     * Set availCredit value
     * @param \StructType\Currency $availCredit
     * @return \StructType\ClientStatus
     */
    public function setAvailCredit(\StructType\Currency $availCredit = null)
    {
        $this->availCredit = $availCredit;
        return $this;
    }
    /**
     * Get batchStatus value
     * @return \StructType\BatchStatus|null
     */
    public function getBatchStatus()
    {
        return $this->batchStatus;
    }
    /**
     * Set batchStatus value
     * @param \StructType\BatchStatus $batchStatus
     * @return \StructType\ClientStatus
     */
    public function setBatchStatus(\StructType\BatchStatus $batchStatus = null)
    {
        $this->batchStatus = $batchStatus;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ClientStatus
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
