<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditTokenIssue StructType
 * @subpackage Structs
 */
class CreditTokenIssue extends MeterSpecificTokenIssue
{
    /**
     * The units
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Units
     */
    public $units;
    /**
     * The resource
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Resource
     */
    public $resource;
    /**
     * Constructor method for CreditTokenIssue
     * @uses CreditTokenIssue::setUnits()
     * @uses CreditTokenIssue::setResource()
     * @param \StructType\Units $units
     * @param \StructType\Resource $resource
     */
    public function __construct(\StructType\Units $units = null, \StructType\Resource $resource = null)
    {
        $this
            ->setUnits($units)
            ->setResource($resource);
    }
    /**
     * Get units value
     * @return \StructType\Units|null
     */
    public function getUnits()
    {
        return $this->units;
    }
    /**
     * Set units value
     * @param \StructType\Units $units
     * @return \StructType\CreditTokenIssue
     */
    public function setUnits(\StructType\Units $units = null)
    {
        $this->units = $units;
        return $this;
    }
    /**
     * Get resource value
     * @return \StructType\Resource|null
     */
    public function getResource()
    {
        return $this->resource;
    }
    /**
     * Set resource value
     * @param \StructType\Resource $resource
     * @return \StructType\CreditTokenIssue
     */
    public function setResource(\StructType\Resource $resource = null)
    {
        $this->resource = $resource;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditTokenIssue
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
