<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditTransferDetail StructType
 * @subpackage Structs
 */
class CreditTransferDetail extends AbstractStructBase
{
    /**
     * The oldMSNO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $oldMSNO;
    /**
     * The refNo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $refNo;
    /**
     * Constructor method for CreditTransferDetail
     * @uses CreditTransferDetail::setOldMSNO()
     * @uses CreditTransferDetail::setRefNo()
     * @param string $oldMSNO
     * @param string $refNo
     */
    public function __construct($oldMSNO = null, $refNo = null)
    {
        $this
            ->setOldMSNO($oldMSNO)
            ->setRefNo($refNo);
    }
    /**
     * Get oldMSNO value
     * @return string|null
     */
    public function getOldMSNO()
    {
        return $this->oldMSNO;
    }
    /**
     * Set oldMSNO value
     * @param string $oldMSNO
     * @return \StructType\CreditTransferDetail
     */
    public function setOldMSNO($oldMSNO = null)
    {
        // validation for constraint: string
        if (!is_null($oldMSNO) && !is_string($oldMSNO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($oldMSNO)), __LINE__);
        }
        $this->oldMSNO = $oldMSNO;
        return $this;
    }
    /**
     * Get refNo value
     * @return string|null
     */
    public function getRefNo()
    {
        return $this->refNo;
    }
    /**
     * Set refNo value
     * @param string $refNo
     * @return \StructType\CreditTransferDetail
     */
    public function setRefNo($refNo = null)
    {
        // validation for constraint: string
        if (!is_null($refNo) && !is_string($refNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($refNo)), __LINE__);
        }
        $this->refNo = $refNo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditTransferDetail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
