<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustReportFaultReq StructType
 * @subpackage Structs
 */
class CustReportFaultReq extends BaseReq
{
    /**
     * The custDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CustDetail
     */
    public $custDetail;
    /**
     * The custFaultReport
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CustFaultReport
     */
    public $custFaultReport;
    /**
     * Constructor method for CustReportFaultReq
     * @uses CustReportFaultReq::setCustDetail()
     * @uses CustReportFaultReq::setCustFaultReport()
     * @param \StructType\CustDetail $custDetail
     * @param \StructType\CustFaultReport $custFaultReport
     */
    public function __construct(\StructType\CustDetail $custDetail = null, \StructType\CustFaultReport $custFaultReport = null)
    {
        $this
            ->setCustDetail($custDetail)
            ->setCustFaultReport($custFaultReport);
    }
    /**
     * Get custDetail value
     * @return \StructType\CustDetail|null
     */
    public function getCustDetail()
    {
        return $this->custDetail;
    }
    /**
     * Set custDetail value
     * @param \StructType\CustDetail $custDetail
     * @return \StructType\CustReportFaultReq
     */
    public function setCustDetail(\StructType\CustDetail $custDetail = null)
    {
        $this->custDetail = $custDetail;
        return $this;
    }
    /**
     * Get custFaultReport value
     * @return \StructType\CustFaultReport|null
     */
    public function getCustFaultReport()
    {
        return $this->custFaultReport;
    }
    /**
     * Set custFaultReport value
     * @param \StructType\CustFaultReport $custFaultReport
     * @return \StructType\CustReportFaultReq
     */
    public function setCustFaultReport(\StructType\CustFaultReport $custFaultReport = null)
    {
        $this->custFaultReport = $custFaultReport;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CustReportFaultReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
