<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DebtRecoveryTx StructType
 * @subpackage Structs
 */
class DebtRecoveryTx extends PayAccTx
{
    /**
     * The balance
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Currency
     */
    public $balance;
    /**
     * Constructor method for DebtRecoveryTx
     * @uses DebtRecoveryTx::setBalance()
     * @param \StructType\Currency $balance
     */
    public function __construct(\StructType\Currency $balance = null)
    {
        $this
            ->setBalance($balance);
    }
    /**
     * Get balance value
     * @return \StructType\Currency|null
     */
    public function getBalance()
    {
        return $this->balance;
    }
    /**
     * Set balance value
     * @param \StructType\Currency $balance
     * @return \StructType\DebtRecoveryTx
     */
    public function setBalance(\StructType\Currency $balance = null)
    {
        $this->balance = $balance;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DebtRecoveryTx
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
