<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EANDeviceID StructType
 * @subpackage Structs
 */
class EANDeviceID extends DeviceID
{
    /**
     * The ean
     * @var string
     */
    public $ean;
    /**
     * Constructor method for EANDeviceID
     * @uses EANDeviceID::setEan()
     * @param string $ean
     */
    public function __construct($ean = null)
    {
        $this
            ->setEan($ean);
    }
    /**
     * Get ean value
     * @return string|null
     */
    public function getEan()
    {
        return $this->ean;
    }
    /**
     * Set ean value
     * @param string $ean
     * @return \StructType\EANDeviceID
     */
    public function setEan($ean = null)
    {
        // validation for constraint: string
        if (!is_null($ean) && !is_string($ean)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($ean)), __LINE__);
        }
        $this->ean = $ean;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\EANDeviceID
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
