<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExtMeterDetail StructType
 * @subpackage Structs
 */
class ExtMeterDetail extends MeterDetail
{
    /**
     * The useSTT
     * @var bool
     */
    public $useSTT;
    /**
     * The track2Data
     * @var string
     */
    public $track2Data;
    /**
     * Constructor method for ExtMeterDetail
     * @uses ExtMeterDetail::setUseSTT()
     * @uses ExtMeterDetail::setTrack2Data()
     * @param bool $useSTT
     * @param string $track2Data
     */
    public function __construct($useSTT = null, $track2Data = null)
    {
        $this
            ->setUseSTT($useSTT)
            ->setTrack2Data($track2Data);
    }
    /**
     * Get useSTT value
     * @return bool|null
     */
    public function getUseSTT()
    {
        return $this->useSTT;
    }
    /**
     * Set useSTT value
     * @param bool $useSTT
     * @return \StructType\ExtMeterDetail
     */
    public function setUseSTT($useSTT = null)
    {
        // validation for constraint: boolean
        if (!is_null($useSTT) && !is_bool($useSTT)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($useSTT)), __LINE__);
        }
        $this->useSTT = $useSTT;
        return $this;
    }
    /**
     * Get track2Data value
     * @return string|null
     */
    public function getTrack2Data()
    {
        return $this->track2Data;
    }
    /**
     * Set track2Data value
     * @param string $track2Data
     * @return \StructType\ExtMeterDetail
     */
    public function setTrack2Data($track2Data = null)
    {
        // validation for constraint: string
        if (!is_null($track2Data) && !is_string($track2Data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($track2Data)), __LINE__);
        }
        $this->track2Data = $track2Data;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ExtMeterDetail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
