<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MeterSpecificTokenIssue StructType
 * @subpackage Structs
 */
abstract class MeterSpecificTokenIssue extends AbstractStructBase
{
    /**
     * The desc
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $desc;
    /**
     * The meterDetail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\MeterDetail
     */
    public $meterDetail;
    /**
     * The token
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Token
     */
    public $token;
    /**
     * Constructor method for MeterSpecificTokenIssue
     * @uses MeterSpecificTokenIssue::setDesc()
     * @uses MeterSpecificTokenIssue::setMeterDetail()
     * @uses MeterSpecificTokenIssue::setToken()
     * @param string $desc
     * @param \StructType\MeterDetail $meterDetail
     * @param \StructType\Token $token
     */
    public function __construct($desc = null, \StructType\MeterDetail $meterDetail = null, \StructType\Token $token = null)
    {
        $this
            ->setDesc($desc)
            ->setMeterDetail($meterDetail)
            ->setToken($token);
    }
    /**
     * Get desc value
     * @return string|null
     */
    public function getDesc()
    {
        return $this->desc;
    }
    /**
     * Set desc value
     * @param string $desc
     * @return \StructType\MeterSpecificTokenIssue
     */
    public function setDesc($desc = null)
    {
        // validation for constraint: string
        if (!is_null($desc) && !is_string($desc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($desc)), __LINE__);
        }
        $this->desc = $desc;
        return $this;
    }
    /**
     * Get meterDetail value
     * @return \StructType\MeterDetail|null
     */
    public function getMeterDetail()
    {
        return $this->meterDetail;
    }
    /**
     * Set meterDetail value
     * @param \StructType\MeterDetail $meterDetail
     * @return \StructType\MeterSpecificTokenIssue
     */
    public function setMeterDetail(\StructType\MeterDetail $meterDetail = null)
    {
        $this->meterDetail = $meterDetail;
        return $this;
    }
    /**
     * Get token value
     * @return \StructType\Token|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param \StructType\Token $token
     * @return \StructType\MeterSpecificTokenIssue
     */
    public function setToken(\StructType\Token $token = null)
    {
        $this->token = $token;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MeterSpecificTokenIssue
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
