<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OperatorTotal StructType
 * @subpackage Structs
 */
class OperatorTotal extends AbstractStructBase
{
    /**
     * The opName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $opName;
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Currency
     */
    public $amt;
    /**
     * Constructor method for OperatorTotal
     * @uses OperatorTotal::setOpName()
     * @uses OperatorTotal::setAmt()
     * @param string $opName
     * @param \StructType\Currency $amt
     */
    public function __construct($opName = null, \StructType\Currency $amt = null)
    {
        $this
            ->setOpName($opName)
            ->setAmt($amt);
    }
    /**
     * Get opName value
     * @return string|null
     */
    public function getOpName()
    {
        return $this->opName;
    }
    /**
     * Set opName value
     * @param string $opName
     * @return \StructType\OperatorTotal
     */
    public function setOpName($opName = null)
    {
        // validation for constraint: string
        if (!is_null($opName) && !is_string($opName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($opName)), __LINE__);
        }
        $this->opName = $opName;
        return $this;
    }
    /**
     * Get amt value
     * @return \StructType\Currency|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param \StructType\Currency $amt
     * @return \StructType\OperatorTotal
     */
    public function setAmt(\StructType\Currency $amt = null)
    {
        $this->amt = $amt;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OperatorTotal
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
