<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PinVoucher StructType
 * @subpackage Structs
 */
class PinVoucher extends PayType
{
    /**
     * The voucherSerialNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $voucherSerialNumber;
    /**
     * The voucherPin
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $voucherPin;
    /**
     * The voucherAmount
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Currency
     */
    public $voucherAmount;
    /**
     * Constructor method for PinVoucher
     * @uses PinVoucher::setVoucherSerialNumber()
     * @uses PinVoucher::setVoucherPin()
     * @uses PinVoucher::setVoucherAmount()
     * @param string $voucherSerialNumber
     * @param string $voucherPin
     * @param \StructType\Currency $voucherAmount
     */
    public function __construct($voucherSerialNumber = null, $voucherPin = null, \StructType\Currency $voucherAmount = null)
    {
        $this
            ->setVoucherSerialNumber($voucherSerialNumber)
            ->setVoucherPin($voucherPin)
            ->setVoucherAmount($voucherAmount);
    }
    /**
     * Get voucherSerialNumber value
     * @return string|null
     */
    public function getVoucherSerialNumber()
    {
        return $this->voucherSerialNumber;
    }
    /**
     * Set voucherSerialNumber value
     * @param string $voucherSerialNumber
     * @return \StructType\PinVoucher
     */
    public function setVoucherSerialNumber($voucherSerialNumber = null)
    {
        // validation for constraint: string
        if (!is_null($voucherSerialNumber) && !is_string($voucherSerialNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($voucherSerialNumber)), __LINE__);
        }
        $this->voucherSerialNumber = $voucherSerialNumber;
        return $this;
    }
    /**
     * Get voucherPin value
     * @return string|null
     */
    public function getVoucherPin()
    {
        return $this->voucherPin;
    }
    /**
     * Set voucherPin value
     * @param string $voucherPin
     * @return \StructType\PinVoucher
     */
    public function setVoucherPin($voucherPin = null)
    {
        // validation for constraint: string
        if (!is_null($voucherPin) && !is_string($voucherPin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($voucherPin)), __LINE__);
        }
        $this->voucherPin = $voucherPin;
        return $this;
    }
    /**
     * Get voucherAmount value
     * @return \StructType\Currency|null
     */
    public function getVoucherAmount()
    {
        return $this->voucherAmount;
    }
    /**
     * Set voucherAmount value
     * @param \StructType\Currency $voucherAmount
     * @return \StructType\PinVoucher
     */
    public function setVoucherAmount(\StructType\Currency $voucherAmount = null)
    {
        $this->voucherAmount = $voucherAmount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PinVoucher
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
