<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PingAndActivityServerState StructType
 * @subpackage Structs
 */
class PingAndActivityServerState extends PingServerState
{
    /**
     * The activityTime
     * Meta informations extracted from the WSDL
     * - use: required
     * @var int
     */
    public $activityTime;
    /**
     * Constructor method for PingAndActivityServerState
     * @uses PingAndActivityServerState::setActivityTime()
     * @param int $activityTime
     */
    public function __construct($activityTime = null)
    {
        $this
            ->setActivityTime($activityTime);
    }
    /**
     * Get activityTime value
     * @return int
     */
    public function getActivityTime()
    {
        return $this->activityTime;
    }
    /**
     * Set activityTime value
     * @param int $activityTime
     * @return \StructType\PingAndActivityServerState
     */
    public function setActivityTime($activityTime = null)
    {
        // validation for constraint: int
        if (!is_null($activityTime) && !is_numeric($activityTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($activityTime)), __LINE__);
        }
        $this->activityTime = $activityTime;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PingAndActivityServerState
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
