<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for STS1Token StructType
 * @subpackage Structs
 */
class STS1Token extends Token
{
    /**
     * The stsCipher
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $stsCipher;
    /**
     * Constructor method for STS1Token
     * @uses STS1Token::setStsCipher()
     * @param string $stsCipher
     */
    public function __construct($stsCipher = null)
    {
        $this
            ->setStsCipher($stsCipher);
    }
    /**
     * Get stsCipher value
     * @return string|null
     */
    public function getStsCipher()
    {
        return $this->stsCipher;
    }
    /**
     * Set stsCipher value
     * @param string $stsCipher
     * @return \StructType\STS1Token
     */
    public function setStsCipher($stsCipher = null)
    {
        // validation for constraint: string
        if (!is_null($stsCipher) && !is_string($stsCipher)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($stsCipher)), __LINE__);
        }
        $this->stsCipher = $stsCipher;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\STS1Token
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
