<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StartBatch StructType
 * @subpackage Structs
 */
abstract class StartBatch extends AbstractStructBase
{
    /**
     * The started
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $started;
    /**
     * Constructor method for StartBatch
     * @uses StartBatch::setStarted()
     * @param string $started
     */
    public function __construct($started = null)
    {
        $this
            ->setStarted($started);
    }
    /**
     * Get started value
     * @return string
     */
    public function getStarted()
    {
        return $this->started;
    }
    /**
     * Set started value
     * @param string $started
     * @return \StructType\StartBatch
     */
    public function setStarted($started = null)
    {
        // validation for constraint: string
        if (!is_null($started) && !is_string($started)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($started)), __LINE__);
        }
        $this->started = $started;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\StartBatch
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
