<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StepTariffBreakdown StructType
 * @subpackage Structs
 */
class StepTariffBreakdown extends TariffBreakdown
{
    /**
     * The steps
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfStep
     */
    public $steps;
    /**
     * Constructor method for StepTariffBreakdown
     * @uses StepTariffBreakdown::setSteps()
     * @param \ArrayType\ArrayOfStep $steps
     */
    public function __construct(\ArrayType\ArrayOfStep $steps = null)
    {
        $this
            ->setSteps($steps);
    }
    /**
     * Get steps value
     * @return \ArrayType\ArrayOfStep|null
     */
    public function getSteps()
    {
        return $this->steps;
    }
    /**
     * Set steps value
     * @param \ArrayType\ArrayOfStep $steps
     * @return \StructType\StepTariffBreakdown
     */
    public function setSteps(\ArrayType\ArrayOfStep $steps = null)
    {
        $this->steps = $steps;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\StepTariffBreakdown
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
