<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StraightTariffBreakdown StructType
 * @subpackage Structs
 */
class StraightTariffBreakdown extends TariffBreakdown
{
    /**
     * The rate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Currency
     */
    public $rate;
    /**
     * Constructor method for StraightTariffBreakdown
     * @uses StraightTariffBreakdown::setRate()
     * @param \StructType\Currency $rate
     */
    public function __construct(\StructType\Currency $rate = null)
    {
        $this
            ->setRate($rate);
    }
    /**
     * Get rate value
     * @return \StructType\Currency|null
     */
    public function getRate()
    {
        return $this->rate;
    }
    /**
     * Set rate value
     * @param \StructType\Currency $rate
     * @return \StructType\StraightTariffBreakdown
     */
    public function setRate(\StructType\Currency $rate = null)
    {
        $this->rate = $rate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\StraightTariffBreakdown
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
