<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Tax StructType
 * @subpackage Structs
 */
abstract class Tax extends AbstractStructBase
{
    /**
     * The amt
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Currency
     */
    public $amt;
    /**
     * Constructor method for Tax
     * @uses Tax::setAmt()
     * @param \StructType\Currency $amt
     */
    public function __construct(\StructType\Currency $amt = null)
    {
        $this
            ->setAmt($amt);
    }
    /**
     * Get amt value
     * @return \StructType\Currency|null
     */
    public function getAmt()
    {
        return $this->amt;
    }
    /**
     * Set amt value
     * @param \StructType\Currency $amt
     * @return \StructType\Tax
     */
    public function setAmt(\StructType\Currency $amt = null)
    {
        $this->amt = $amt;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Tax
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
